Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jet.server.api.admin.cfg
Interface ConfigurationLog

    public interface ConfigurationLog

The `ConfigurationLog` takes charge of the logging configuration interfaces invoked by JSP logging config pages. Note: since V8, only the first three new added API methods (`getLoggers()`, `load()` and `update()`) are useful in this interface. All the old API methods defined before V8 are deprecated.

Since:
  V8

Method Summary
`int` | `getBufferSize(int logTypeNo)` Deprecated. since V8, it is not recommended to use the deprecated API method.
`java.lang.String` | `getDescription(int logTypeNo)` Deprecated. since V8, it is not recommended to use the deprecated API method.
`int` | `getFlushTime(int logTypeNo)` Deprecated. since V8, it is not recommended to use the deprecated API method.
`java.lang.String` | `getHost(int logtype, java.lang.String logTo)` Deprecated. since V8, it is not recommended to use the deprecated API method.
`ConfigLogger[]` | `getLoggers()` get all loggers provided by JREntServer.
`int` | `getLogLevel(int logTypeNo)` Deprecated. since V8, it is not recommended to use the deprecated API method.
`java.lang.String[]` | `getLogLevelList()` Deprecated. since V8, it is not recommended to use the deprecated API method.
`java.lang.String` | `getLogToFilename(int logType)` Deprecated. since V8, it is not recommended to use the deprecated API method.
`int` | `getLogToType(int logTypeNo)` Deprecated. since V8, it is not recommended to use the deprecated API method.
`java.lang.String[]` | `getOutTypeList()` Deprecated. since V8, it is not recommended to use the deprecated API method.
`int` | `getPort(int logtype, java.lang.String logTo)` Deprecated. since V8, it is not recommended to use the deprecated API method.
`int` | `getRolloverSize(int logTypeNo)` Deprecated. since V8, it is not recommended to use the deprecated API method.
`java.lang.String[]` | `getTypeList()` Deprecated. since V8, it is not recommended to use the deprecated API method.
`java.lang.String[]` | `getTypePromptList()` Deprecated. since V8, it is not recommended to use the deprecated API method.
`void` | `load()` load latest config file to a list and clear the cache of changed previously.
`void` | `loadProperties()` Deprecated. since V8, it is not recommended to use the deprecated API method.
`void` | `setBufferSize(int logtype, int size)` Deprecated. since V8, it is not recommended to use the deprecated API method.
`void` | `setFlushTime(int logtype, int flushTime)` Deprecated. since V8, it is not recommended to use the deprecated API method.
`void` | `setHost(int logtype, java.lang.String host)` Deprecated. since V8, it is not recommended to use the deprecated API method.
`void` | `setLogLevel(int logtype, int logLevel)` Deprecated. since V8, it is not recommended to use the deprecated API method.
`void` | `setLogToFilename(int logtype, java.lang.String logToFilename)` Deprecated. since V8, it is not recommended to use the deprecated API method.
`void` | `setLogToType(int logtype, int logToType)` Deprecated. since V8, it is not recommended to use the deprecated API method.
`void` | `setPort(int logtype, int port)` Deprecated. since V8, it is not recommended to use the deprecated API method.
`void` | `setRolloverSize(int logtype, int rolloverSize)` Deprecated. since V8, it is not recommended to use the deprecated API method.
`boolean` | `update()` update the changes, save the changed properties to config file and invoke config service to take effect immediately.

Method Detail

### getLoggers

    ConfigLogger[] getLoggers()

  get all loggers provided by JREntServer. it includes six JREntServer-specific logger and their root logger.

  Returns:
    all loggers currently configured.

### load

    void load()

  load latest config file to a list and clear the cache of changed previously. this method should be invoked when enter the log configuration page.

### update

    boolean update()

  update the changes, save the changed properties to config file and invoke config service to take effect immediately.

  Returns:
    true, if the changed options are successfully saved to the config file; else false.

### getDescription

    java.lang.String getDescription(int logTypeNo)

  Deprecated. since V8, it is not recommended to use the deprecated API method.

  Return the description of type log

  Returns:
    the Description of type log.

### setLogLevel

    void setLogLevel(int logtype,
                     int logLevel)

  Deprecated. since V8, it is not recommended to use the deprecated API method.

  Set the level of log.

  Parameters:
    `logLevel` - the level of log.

### getLogLevel

    int getLogLevel(int logTypeNo)

  Deprecated. since V8, it is not recommended to use the deprecated API method.

  Return the level of log.

  Returns:
    the level of log.

### setLogToType

    void setLogToType(int logtype,
                      int logToType)

  Deprecated. since V8, it is not recommended to use the deprecated API method.

  Set the type of log to.

  Parameters:
    `logToType` - the type of log to.

### getLogToType

    int getLogToType(int logTypeNo)

  Deprecated. since V8, it is not recommended to use the deprecated API method.

  Return the type of log to.

  Returns:
    the type of log to.

### setLogToFilename

    void setLogToFilename(int logtype,
                          java.lang.String logToFilename)

  Deprecated. since V8, it is not recommended to use the deprecated API method.

  Set the filename if log to file.

  Parameters:
    `logToFilename` - the filename if log to file.

### getLogToFilename

    java.lang.String getLogToFilename(int logType)

  Deprecated. since V8, it is not recommended to use the deprecated API method.

  Return the filename if log to file.

  Returns:
    the filename if log to file.

### setRolloverSize

    void setRolloverSize(int logtype,
                         int rolloverSize)

  Deprecated. since V8, it is not recommended to use the deprecated API method.

  Set the rollover file size.

  Parameters:
    `rolloverSize` - the rollover file size.

### getRolloverSize

    int getRolloverSize(int logTypeNo)

  Deprecated. since V8, it is not recommended to use the deprecated API method.

  Return the rollover file size.

  Returns:
    the rollover file size.

### setBufferSize

    void setBufferSize(int logtype,
                       int size)

  Deprecated. since V8, it is not recommended to use the deprecated API method.

  Set the buffer size.

  Parameters:
    `size` - the buffer size.

### getBufferSize

    int getBufferSize(int logTypeNo)

  Deprecated. since V8, it is not recommended to use the deprecated API method.

  Return the buffer size.

  Returns:
    the buffer size.

### setFlushTime

    void setFlushTime(int logtype,
                      int flushTime)

  Deprecated. since V8, it is not recommended to use the deprecated API method.

  Set the flush time.

  Parameters:
    `flushTime` - the flush time.

### getFlushTime

    int getFlushTime(int logTypeNo)

  Deprecated. since V8, it is not recommended to use the deprecated API method.

  Return the flush time.

  Returns:
    the flush time.

### setHost

    void setHost(int logtype,
                 java.lang.String host)

  Deprecated. since V8, it is not recommended to use the deprecated API method.

  Set the host name.

  Parameters:
    `host` - the host name.

### getHost

    java.lang.String getHost(int logtype,
                             java.lang.String logTo)

  Deprecated. since V8, it is not recommended to use the deprecated API method.

  Return the host name.

  Returns:
    the host name.

### setPort

    void setPort(int logtype,
                 int port)

  Deprecated. since V8, it is not recommended to use the deprecated API method.

  Set the port.

  Parameters:
    `port` - the log to port.

### getPort

    int getPort(int logtype,
                java.lang.String logTo)

  Deprecated. since V8, it is not recommended to use the deprecated API method.

  Return the port .

  Returns:
    the log to port.

### getTypeList

    java.lang.String[] getTypeList()

  Deprecated. since V8, it is not recommended to use the deprecated API method.

  Return the list of log type .

  Returns:
    stirng array for log type.

### getTypePromptList

    java.lang.String[] getTypePromptList()

  Deprecated. since V8, it is not recommended to use the deprecated API method.

  Return the list of log type description.

  Returns:
    stirng array for log type description.

### getOutTypeList

    java.lang.String[] getOutTypeList()

  Deprecated. since V8, it is not recommended to use the deprecated API method.

  Return the list of out log type .

  Returns:
    stirng array out log for type .

### getLogLevelList

    java.lang.String[] getLogLevelList()

  Deprecated. since V8, it is not recommended to use the deprecated API method.

  Return the list of level.

  Returns:
    stirng array for level.

### loadProperties

    void loadProperties()

  Deprecated. since V8, it is not recommended to use the deprecated API method.

  set the properties of server

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD